package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuConfigInfo extends com.kingdee.shr.base.syssetting.SHRBaseItemInfo implements Serializable 
{
    public AbstractFeishuConfigInfo()
    {
        this("id");
    }
    protected AbstractFeishuConfigInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:飞书应用配置's 应用idproperty 
     */
    public String getAppID()
    {
        return getString("appID");
    }
    public void setAppID(String item)
    {
        setString("appID", item);
    }
    /**
     * Object:飞书应用配置's 应用密钥property 
     */
    public String getAppSecret()
    {
        return getString("appSecret");
    }
    public void setAppSecret(String item)
    {
        setString("appSecret", item);
    }
    /**
     * Object:飞书应用配置's shr地址property 
     */
    public String getSHRAddr()
    {
        return getString("sHRAddr");
    }
    public void setSHRAddr(String item)
    {
        setString("sHRAddr", item);
    }
    /**
     * Object:飞书应用配置's 是否默认配置property 
     */
    public boolean isDefaultConfig()
    {
        return getBoolean("defaultConfig");
    }
    public void setDefaultConfig(boolean item)
    {
        setBoolean("defaultConfig", item);
    }
    /**
     * Object:飞书应用配置's 飞书回调地址property 
     */
    public String getCallbackUrl()
    {
        return getString("callbackUrl");
    }
    public void setCallbackUrl(String item)
    {
        setString("callbackUrl", item);
    }
    /**
     * Object:飞书应用配置's mbos企业idproperty 
     */
    public String getMEid()
    {
        return getString("mEid");
    }
    public void setMEid(String item)
    {
        setString("mEid", item);
    }
    /**
     * Object:飞书应用配置's 是否开启流程推送property 
     */
    public boolean isStartProcessPush()
    {
        return getBoolean("startProcessPush");
    }
    public void setStartProcessPush(boolean item)
    {
        setBoolean("startProcessPush", item);
    }
    /**
     * Object:飞书应用配置's 是否开启消息推送property 
     */
    public boolean isStartMessagePush()
    {
        return getBoolean("startMessagePush");
    }
    public void setStartMessagePush(boolean item)
    {
        setBoolean("startMessagePush", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("AABD6B8B");
    }
}